Description

I just realized that several facilities are no longer working:

the browse by lab https://openportal.isti.cnr.it/browse/labs

the statistic is not populated https://openportal.isti.cnr.it/statistics/labs-years

ORCID are no longer displayed when accessing the system;

History

#1 - May 30, 2023 12:40 PM - Leonardo Candela

- File Screenshot 2023-05-30 at 12.39.48.png added

Project information from OpenAIRE are not complete

#2 - May 30, 2023 12:42 PM - Leonardo Candela

It seems that also ISPC instance is affected, e.g. 

https://openportal.ispc.cnr.it/browse/projects

#3 - May 31, 2023 09:06 AM - Anonymous

- Status changed from New to In Progress

#4 - May 31, 2023 09:08 AM - Michele Artini

Probably the changes to the model (ORCID) has introduced a bug.

I see that for each record, compares the following error message:

Problem parsing a mdstore record: java.lang.ArrayIndexOutOfBoundsException

#5 - May 31, 2023 11:47 AM - Michele Artini

- % Done changed from 0 to 70

I reindexed all the instances correctly without performing any important update to the code (I added only some log).

I suppose that the problem was caused by a wrong management of the scheduled workflows (INO and ISTI were scheduled at the same time),

probably some component is not thread safe.

I will investigate.

I temporarily fixed the problem rescheduling the aggregation wfs.

#6 - May 31, 2023 12:14 PM - Michele Artini

I finally found the not thread safe component:

java.lang.ArrayIndexOutOfBoundsException: -1

    at com.sun.xml.bind.v2.util.CollisionCheckStack.pushNocheck(CollisionCheckStack.java:132)

    at com.sun.xml.bind.v2.runtime.XMLSerializer.childAsRoot(XMLSerializer.java:487)

    at com.sun.xml.bind.v2.runtime.MarshallerImpl.write(MarshallerImpl.java:323)

    at com.sun.xml.bind.v2.runtime.MarshallerImpl.marshal(MarshallerImpl.java:251)

    at javax.xml.bind.helpers.AbstractMarshallerImpl.marshal(AbstractMarshallerImpl.java:116)
    at eu.dnetlib.data.mdstore.plugins.objects.MdRecordConvertUtils.toString(MdRecordConvertUtils.java:25)

    at eu.dnetlib.data.mdstore.plugins.MdRecordPlugin.process(MdRecordPlugin.java:50)

    at eu.dnetlib.data.mdstore.plugins.AbstractIstiMDStorePlugin.run(AbstractIstiMDStorePlugin.java:51)

    at eu.dnetlib.data.mdstore.modular.action.PluginAction.executeAsync(PluginAction.java:71)

    at eu.dnetlib.data.mdstore.modular.action.AbstractMDStoreAction$1.run(AbstractMDStoreAction.java:66)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)

    at java.lang.Thread.run(Thread.java:748)

 I was using some static methods to serialise and deserialise the records and they internally were using a single instance of JAXB marshaller and

unmarshaller,  now the problem should be fixed.

#7 - May 31, 2023 12:24 PM - Michele Artini

- Status changed from In Progress to Resolved

#8 - May 31, 2023 12:24 PM - Michele Artini

- % Done changed from 70 to 100

#9 - May 31, 2023 05:40 PM - Leonardo Candela

- Status changed from Resolved to Closed
